commit:     ed4d3f945c9f50f16ae0d7678c646a53e8e4972c
Author:     Michael Mair-Keimberger (asterix) <m.mairkeimberger <AT> gmail 
<DOT> com>
AuthorDate: Tue Aug  8 16:18:36 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Aug  8 17:15:27 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed4d3f94

net-libs/telepathy-qt: remove unused patches

Closes: https://github.com/gentoo/gentoo/pull/5358

 .../telepathy-qt-0.9.6.1-default-source.patch      | 25 -------
 .../files/telepathy-qt-0.9.6.1-gstreamer-1.5.patch | 83 ----------------------
 .../files/telepathy-qt-0.9.6.1-includes.patch      | 24 -------
 .../files/telepathy-qt-0.9.6.1-python.patch        | 43 -----------
 ...telepathy-qt-0.9.6.1-service-dependencies.patch | 22 ------
 5 files changed, 197 deletions(-)

diff --git 
a/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-default-source.patch 
b/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-default-source.patch
deleted file mode 100644
index 0366b0fa7f3..00000000000
--- a/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-default-source.patch
+++ /dev/null
@@ -1,25 +0,0 @@
-From 2a460afdbd0cb39d8dcecaf6cea5ce9ce7d3216b Mon Sep 17 00:00:00 2001
-From: Niels Ole Salscheider <niels_...@salscheider-online.de>
-Date: Fri, 5 Jun 2015 12:47:13 +0200
-Subject: CMake: Fixed deprecated _BSD_SOURCE.
-
-Since glibc-2.20 _DEFAULT_SOURCE definition is also required.
-
-Reviewed-by: Alexandr Akulich
-
-diff --git a/cmake/modules/TelepathyDefaults.cmake 
b/cmake/modules/TelepathyDefaults.cmake
-index d34b24d..dc98697 100644
---- a/cmake/modules/TelepathyDefaults.cmake
-+++ b/cmake/modules/TelepathyDefaults.cmake
-@@ -108,7 +108,7 @@ if(CMAKE_COMPILER_IS_GNUCXX)
-     endif(${NOT_RELEASE} EQUAL 1)
- 
-     if(CMAKE_SYSTEM_NAME MATCHES Linux)
--        add_definitions(-D_BSD_SOURCE)
-+        add_definitions(-D_BSD_SOURCE -D_DEFAULT_SOURCE)
-     endif(CMAKE_SYSTEM_NAME MATCHES Linux)
- 
-     # Compiler coverage
--- 
-cgit v0.10.2
-

diff --git 
a/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-gstreamer-1.5.patch 
b/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-gstreamer-1.5.patch
deleted file mode 100644
index bf519fa782d..00000000000
--- a/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-gstreamer-1.5.patch
+++ /dev/null
@@ -1,83 +0,0 @@
-From ec4a3d62b68a57254515f01fc5ea3325ffb1dbfb Mon Sep 17 00:00:00 2001
-From: Niels Ole Salscheider <niels_...@salscheider-online.de>
-Date: Tue, 29 Sep 2015 20:52:15 +0200
-Subject: Farstream: gst/gstconfig.h can be in LIBDIR, search for it explicitly
-
-Since GStreamer-1.5.1 config header file moved to LIBDIR.
-
-Reviewed-by: Alexandr Akulich <akulichalexan...@gmail.com>
-
-diff --git a/TelepathyQt/Farstream/CMakeLists.txt 
b/TelepathyQt/Farstream/CMakeLists.txt
-index 250bfdb..dd71430 100644
---- a/TelepathyQt/Farstream/CMakeLists.txt
-+++ b/TelepathyQt/Farstream/CMakeLists.txt
-@@ -2,7 +2,7 @@ if(FARSTREAM_COMPONENTS_FOUND)
-     include_directories(${TELEPATHY_FARSTREAM_INCLUDE_DIR}
-                         ${TELEPATHY_GLIB_INCLUDE_DIR}
-                         ${FARSTREAM_INCLUDE_DIR}
--                        ${GSTREAMER_INCLUDE_DIR}
-+                        ${GSTREAMER_INCLUDE_DIRS}
-                         ${GLIB2_INCLUDE_DIR}
-                         ${LIBXML2_INCLUDE_DIR}
-                         ${DBUS_INCLUDE_DIR})
-diff --git a/cmake/modules/FindGStreamer.cmake 
b/cmake/modules/FindGStreamer.cmake
-index 63fb41c..ffdd7a9 100644
---- a/cmake/modules/FindGStreamer.cmake
-+++ b/cmake/modules/FindGStreamer.cmake
-@@ -13,12 +13,12 @@
- 
- # TODO: Other versions --> GSTREAMER_X_Y_FOUND (Example: GSTREAMER_0_8_FOUND 
and GSTREAMER_0_10_FOUND etc)
- 
--IF (GSTREAMER_INCLUDE_DIR AND GSTREAMER_LIBRARIES AND GSTREAMER_BASE_LIBRARY 
AND GSTREAMER_INTERFACE_LIBRARY)
-+IF (GSTREAMER_INCLUDE_DIRS AND GSTREAMER_LIBRARIES AND GSTREAMER_BASE_LIBRARY 
AND GSTREAMER_INTERFACE_LIBRARY)
-    # in cache already
-    SET(GSTREAMER_FIND_QUIETLY TRUE)
--ELSE (GSTREAMER_INCLUDE_DIR AND GSTREAMER_LIBRARIES AND 
GSTREAMER_BASE_LIBRARY AND GSTREAMER_INTERFACE_LIBRARY)
-+ELSE (GSTREAMER_INCLUDE_DIRS AND GSTREAMER_LIBRARIES AND 
GSTREAMER_BASE_LIBRARY AND GSTREAMER_INTERFACE_LIBRARY)
-    SET(GSTREAMER_FIND_QUIETLY FALSE)
--ENDIF (GSTREAMER_INCLUDE_DIR AND GSTREAMER_LIBRARIES AND 
GSTREAMER_BASE_LIBRARY AND GSTREAMER_INTERFACE_LIBRARY)
-+ENDIF (GSTREAMER_INCLUDE_DIRS AND GSTREAMER_LIBRARIES AND 
GSTREAMER_BASE_LIBRARY AND GSTREAMER_INTERFACE_LIBRARY)
- 
- IF (NOT WIN32)
-    # use pkg-config to get the directories and then use these values
-@@ -38,6 +38,15 @@ FIND_PATH(GSTREAMER_INCLUDE_DIR gst/gst.h
-    PATH_SUFFIXES gstreamer-1.0
-    )
- 
-+FIND_PATH(GSTREAMER_CONF_INCLUDE_DIR gst/gstconfig.h
-+   PATHS
-+   ${PC_GSTREAMER_INCLUDEDIR}
-+   ${PC_GSTREAMER_INCLUDE_DIRS}
-+   PATH_SUFFIXES gstreamer-1.0
-+   )
-+
-+SET(GSTREAMER_INCLUDE_DIRS ${GSTREAMER_INCLUDE_DIR} 
${GSTREAMER_CONF_INCLUDE_DIR})
-+
- FIND_LIBRARY(GSTREAMER_LIBRARIES NAMES gstreamer-1.0
-    PATHS
-    ${PC_GSTREAMER_LIBDIR}
-@@ -57,6 +66,12 @@ ELSE (GSTREAMER_INCLUDE_DIR)
-    MESSAGE(STATUS "GStreamer: WARNING: include dir not found")
- ENDIF (GSTREAMER_INCLUDE_DIR)
- 
-+IF (GSTREAMER_CONF_INCLUDE_DIR)
-+      #MESSAGE(STATUS "DEBUG: Found GStreamer config include dir: 
${GSTREAMER_CONF_INCLUDE_DIR}")
-+ELSE (GSTREAMER_CONF_INCLUDE_DIR)
-+   MESSAGE(STATUS "GStreamer: WARNING: config include dir not found")
-+ENDIF (GSTREAMER_CONF_INCLUDE_DIR)
-+
- IF (GSTREAMER_LIBRARIES)
-    #MESSAGE(STATUS "DEBUG: Found GStreamer library: ${GSTREAMER_LIBRARIES}")
- ELSE (GSTREAMER_LIBRARIES)
-@@ -65,6 +80,6 @@ ENDIF (GSTREAMER_LIBRARIES)
- 
- 
- INCLUDE(FindPackageHandleStandardArgs)
--FIND_PACKAGE_HANDLE_STANDARD_ARGS(GStreamer  DEFAULT_MSG  GSTREAMER_LIBRARIES 
GSTREAMER_INCLUDE_DIR GSTREAMER_BASE_LIBRARY)
-+FIND_PACKAGE_HANDLE_STANDARD_ARGS(GStreamer  DEFAULT_MSG  GSTREAMER_LIBRARIES 
GSTREAMER_INCLUDE_DIRS GSTREAMER_BASE_LIBRARY)
- 
--MARK_AS_ADVANCED(GSTREAMER_INCLUDE_DIR GSTREAMER_LIBRARIES 
GSTREAMER_BASE_LIBRARY)
-+MARK_AS_ADVANCED(GSTREAMER_INCLUDE_DIRS GSTREAMER_LIBRARIES 
GSTREAMER_BASE_LIBRARY)
--- 
-cgit v0.10.2
-

diff --git a/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-includes.patch 
b/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-includes.patch
deleted file mode 100644
index 6496d25a9de..00000000000
--- a/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-includes.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-From 1e1f53e9d91684918c34ec50392f86287e001a1e Mon Sep 17 00:00:00 2001
-From: Alexandr Akulich <akulichalexan...@gmail.com>
-Date: Fri, 15 Jan 2016 18:52:59 +0500
-Subject: [PATCH] BaseChannel: Reduced includes (doesn't depend on client stuff
- anymore).
-
----
- TelepathyQt/base-channel.cpp | 3 ++-
- 1 file changed, 2 insertions(+), 1 deletion(-)
-
-diff --git a/TelepathyQt/base-channel.cpp b/TelepathyQt/base-channel.cpp
-index eb41463..720d58e 100644
---- a/TelepathyQt/base-channel.cpp
-+++ b/TelepathyQt/base-channel.cpp
-@@ -26,7 +26,8 @@
- 
- #include "TelepathyQt/_gen/base-channel.moc.hpp"
- #include "TelepathyQt/_gen/base-channel-internal.moc.hpp"
--#include "TelepathyQt/future-internal.h"
-+#include "TelepathyQt/_gen/future-constants.h"
-+#include "TelepathyQt/_gen/future-types.h"
- 
- #include "TelepathyQt/debug-internal.h"
- 

diff --git a/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-python.patch 
b/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-python.patch
deleted file mode 100644
index 9eb6c32f03e..00000000000
--- a/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-python.patch
+++ /dev/null
@@ -1,43 +0,0 @@
-From 3716c048d65d4984513591cb8b1031858201db6c Mon Sep 17 00:00:00 2001
-From: Alex Merry <alex.me...@kde.org>
-Date: Sun, 16 Aug 2015 20:30:41 +0100
-Subject: [PATCH] Tell CMake what version of Python we want to find.
-
-This ensures that Python 2 is found if possible, rather than Python 3.
-
-https://bugs.freedesktop.org/show_bug.cgi?id=91659
-
-Reviewed-by: Alexandr Akulich <akulichalexan...@gmail.com>
----
- CMakeLists.txt                        | 2 +-
- cmake/modules/FindPythonLibrary.cmake | 3 ++-
- 2 files changed, 3 insertions(+), 2 deletions(-)
-
-diff --git a/CMakeLists.txt b/CMakeLists.txt
-index 9a014ce..a01b586 100644
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -133,8 +133,8 @@ macro_log_feature(QT_GLIB_SUPPORT "Qt Glib Support"
- set(CMAKE_REQUIRED_FLAGS "")
- 
- # Find python version >= 2.5
--find_package(PythonLibrary REQUIRED)
- set(REQUIRED_PY 2.5)
-+find_package(PythonLibrary ${REQUIRED_PY} REQUIRED)
- if(${PYTHON_SHORT_VERSION} VERSION_GREATER ${REQUIRED_PY} OR 
${PYTHON_SHORT_VERSION} VERSION_EQUAL ${REQUIRED_PY})
-     message(STATUS "Python ${PYTHON_SHORT_VERSION} found")
- else(${PYTHON_SHORT_VERSION} VERSION_GREATER ${REQUIRED_PY} OR 
${PYTHON_SHORT_VERSION} VERSION_EQUAL ${REQUIRED_PY})
-diff --git a/cmake/modules/FindPythonLibrary.cmake 
b/cmake/modules/FindPythonLibrary.cmake
-index 2585859..c6bb712 100644
---- a/cmake/modules/FindPythonLibrary.cmake
-+++ b/cmake/modules/FindPythonLibrary.cmake
-@@ -28,7 +28,8 @@ if(EXISTS PYTHON_LIBRARY)
-   # Already in cache, be silent
-   set(PYTHONLIBRARY_FOUND TRUE)
- else(EXISTS PYTHON_LIBRARY)
--  FIND_PACKAGE(PythonInterp)
-+  message(STATUS "PythonLibrary find version: ${PythonLibrary_FIND_VERSION}")
-+  FIND_PACKAGE(PythonInterp ${PythonLibrary_FIND_VERSION})
- 
-   if(PYTHONINTERP_FOUND)
-     FIND_FILE(_find_lib_python_py FindLibPython.py PATHS ${CMAKE_MODULE_PATH})

diff --git 
a/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-service-dependencies.patch 
b/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-service-dependencies.patch
deleted file mode 100644
index 1b3bd7608ca..00000000000
--- 
a/net-libs/telepathy-qt/files/telepathy-qt-0.9.6.1-service-dependencies.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-From 7389dc990c67d4269f3a79c924c054e87f2e4ac5 Mon Sep 17 00:00:00 2001
-From: Alexandr Akulich <akulichalexan...@gmail.com>
-Date: Fri, 15 Jan 2016 18:54:09 +0500
-Subject: [PATCH] CMakeLists: Added missing service dependence.
-
-telepathy-qt-service depends on generated stable and future types and consts.
----
- TelepathyQt/CMakeLists.txt | 1 +
- 1 file changed, 1 insertion(+)
-
-diff --git a/TelepathyQt/CMakeLists.txt b/TelepathyQt/CMakeLists.txt
-index 58668cd..1b32d32 100644
---- a/TelepathyQt/CMakeLists.txt
-+++ b/TelepathyQt/CMakeLists.txt
-@@ -953,6 +953,7 @@ if(ENABLE_SERVICE_SUPPORT)
-     #endif (ENABLE_COMPILER_COVERAGE)
-     # lets build a static only library until we have a stable API/ABI
-     add_library(telepathy-qt${QT_VERSION_MAJOR}-service STATIC 
${telepathy_qt_service_SRCS})
-+    add_dependencies(telepathy-qt${QT_VERSION_MAJOR}-service stable-typesgen 
future-typesgen)
- 
-     # generate service moc files
-     foreach(moc_src ${telepathy_qt_service_MOC_SRCS})

Reply via email to